import prologue
import prologue/middlewares/staticfile
import views

proc runWebsite(settings: Table[string, bool], dbSettings: Table[string, string]) =
  let prologueSettings = newSettings(
    debug = settings["debug"]
  )

  var website = newApp(settings = prologueSettings)

  website.get("/", getIndex)
  website.get("/about", getAbout)
  website.use(staticFileMiddleware("static"))

  website.run()

export runWebsite
